Incompatiblity with the Image Toolbar extension

General discussion, compatibility and contributed extensions.

Moderators: FranklinDM, Lootyhoof

Locked
User avatar
masoko
Moongazer
Moongazer
Posts: 11
Joined: 2013-01-18, 12:59
Location: Argentina

Incompatiblity with the Image Toolbar extension

Post by masoko » 2013-02-17, 07:11

how can I use it again? I love this extension, this is the web of the author's extension http://www.cusser.net/extensions/, thanks for your help!
...you don't agree, but you don't refuse...I know you

Blacklab
Astronaut
Astronaut
Posts: 734
Joined: 2012-06-08, 12:14
Location: Scotland UK

Re: Incompatiblity with the Image Toolbar extension

Post by Blacklab » 2013-02-18, 00:15

Not familiar with this Add-on but did a trial download today. The only "compatible with Pale Moon 15.4.1" version available is Image Toolbar 0.6.9 (from AMO's Image Toolbar Version History page: https://addons.mozilla.org/en-US/firefo ... /versions/) which installs normally, it's Options menus can be opened, but then fails to run other than one very brief "flash" of the eponymous "image toolbar" itself over one image! :problem:

Release history notes for latest Image Toolbar 0.6.12 (http://www.cusser.net/extensions/imagetoolbar/) mention "Compatibility with Status 4 Evar" as being fixed. Since Status-4-Evar's functionality is built into Pale Moon by default a current compatibility problem seems highly likely. Tried changing the latest Image Toolbar's (v0.6.12) "install.rdf" file "minVersion" number (18.x back to 15.x) - thus hoping to create an "S4E compatible" version that would install and run - this worked to the extent that latest Image Toolbar installed correctly into Pale Moon 15.4.1 and it's Options menus opened normally. However, regret it was just as "dead on arrival" as it's (v0.6.9) sibling - not a great surprise as many Add-ons have had to be modified to work with Firefox 18+! Both Image Toolbar and Status-4-Evar have large threads in mozillaZine forums which would be worth searching for any workarounds?

Developer's Comments section on Image Toolbar's main AMO page: https://addons.mozilla.org/en-US/firefo ... e-toolbar/ states....
Please contact me at http://www.cusser.net/contact/ before reporting problems here. I may be able to solve any issues you're experiencing.
On inspection there seem to be quite a few caveats to this offer - but must be worth a try - after all he's the expert! :)

User avatar
masoko
Moongazer
Moongazer
Posts: 11
Joined: 2013-01-18, 12:59
Location: Argentina

Re: Incompatiblity with the Image Toolbar extension

Post by masoko » 2013-02-18, 13:11

Blacklab wrote:Not familiar with this Add-on but did a trial download today. The only "compatible with Pale Moon 15.4.1" version available is Image Toolbar 0.6.9 (from AMO's Image Toolbar Version History page: https://addons.mozilla.org/en-US/firefo ... /versions/) which installs normally, it's Options menus can be opened, but then fails to run other than one very brief "flash" of the eponymous "image toolbar" itself over one image! :problem:

Release history notes for latest Image Toolbar 0.6.12 (http://www.cusser.net/extensions/imagetoolbar/) mention "Compatibility with Status 4 Evar" as being fixed. Since Status-4-Evar's functionality is built into Pale Moon by default a current compatibility problem seems highly likely. Tried changing the latest Image Toolbar's (v0.6.12) "install.rdf" file "minVersion" number (18.x back to 15.x) - thus hoping to create an "S4E compatible" version that would install and run - this worked to the extent that latest Image Toolbar installed correctly into Pale Moon 15.4.1 and it's Options menus opened normally. However, regret it was just as "dead on arrival" as it's (v0.6.9) sibling - not a great surprise as many Add-ons have had to be modified to work with Firefox 18+! Both Image Toolbar and Status-4-Evar have large threads in mozillaZine forums which would be worth searching for any workarounds?

Developer's Comments section on Image Toolbar's main AMO page: https://addons.mozilla.org/en-US/firefo ... e-toolbar/ states....
Please contact me at http://www.cusser.net/contact/ before reporting problems here. I may be able to solve any issues you're experiencing.
On inspection there seem to be quite a few caveats to this offer - but must be worth a try - after all he's the expert! :)
Thanx for your reply, version 4.0 of the extension is working just fine on Pale Moon, thanks for helping me out!
...you don't agree, but you don't refuse...I know you

Locked